curl --request GET \
--url https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"PropertyValueId": 123,
"Name": "yes",
"Description": "A description for the property value",
"SeoPath": "SEO path",
"SeoMetaDescription": "A description for the property value",
"SeoTitleTag": "yes",
"SeoMetaKeywords": "Your metakeywords",
"LanguageIso": "DE"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Property Value Descriptions
Query all descriptions for a specific property value
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
The requested property value descriptions.
The property value name in the given language.
"yes"
The property value description in the given language.
"A description for the property value"
The SEO path in the given language.
"SEO path"
The SEO metadescription in the given language.
"A description for the property value"
The title tag (SEO) in the given language.
"yes"
The meta keywords in the given language.
"Your metakeywords"
The ISO code of the language of the description.
"DE"
Was this page helpful?